Package org.apache.avro.hadoop.io

# Class AvroDatumConverterFactory.BooleanWritableConverter

java.lang.Object
org.apache.avro.hadoop.io.AvroDatumConverter<BooleanWritable,Boolean>
org.apache.avro.hadoop.io.AvroDatumConverterFactory.BooleanWritableConverter

Enclosing class:
  `AvroDatumConverterFactory`

public static class AvroDatumConverterFactory.BooleanWritableConverter extends AvroDatumConverter<BooleanWritable,Boolean>
Converts BooleanWritables into Booleans.

## Constructor Summary

Constructors
Constructor
Description
`BooleanWritableConverter()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`convert(BooleanWritable input)`
`org.apache.avro.Schema`
`getWriterSchema()`
Gets the writer schema that should be used to serialize the output Avro datum.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BooleanWritableConverter

public BooleanWritableConverter()
Constructor.

## Method Details

### convert

public Boolean convert(BooleanWritable input)

Specified by:
  `convert` in class `AvroDatumConverter<BooleanWritable,Boolean>`

### getWriterSchema

public org.apache.avro.Schema getWriterSchema()
Gets the writer schema that should be used to serialize the output Avro datum.

Specified by:
  `getWriterSchema` in class `AvroDatumConverter<BooleanWritable,Boolean>`
Returns:
  The writer schema for the output Avro datum.